Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.codec.util
Interface ImageEncoder

All Known Implementing Classes:
  ImageEncoderImpl, PNGImageEncoder, TIFFImageEncoder

    public interface ImageEncoder

An interface describing objects that transform a BufferedImage or Raster into an OutputStream.

This interface is not a committed part of the JAI API. It may be removed or changed in future releases of JAI.

Method Summary
`void` | `encode(Raster ras, ColorModel cm)` Encodes a Raster with a given ColorModel and writes the output to the OutputStream associated with this ImageEncoder.
`void` | `encode(RenderedImage im)` Encodes a RenderedImage and writes the output to the OutputStream associated with this ImageEncoder.
`OutputStream` | `getOutputStream()` Returns the OutputStream associated with this ImageEncoder.
`ImageEncodeParam` | `getParam()` Returns the current parameters as an instance of the ImageEncodeParam interface.
`void` | `setParam(ImageEncodeParam param)` Sets the current parameters to an instance of the ImageEncodeParam interface.

Method Detail

### getParam

    ImageEncodeParam getParam()

  Returns the current parameters as an instance of the ImageEncodeParam interface. Concrete implementations of this interface will return corresponding concrete implementations of the ImageEncodeParam interface. For example, a JPEGImageEncoder will return an instance of JPEGEncodeParam.

### setParam

    void setParam(ImageEncodeParam param)

  Sets the current parameters to an instance of the ImageEncodeParam interface. Concrete implementations of ImageEncoder may throw a RuntimeException if the params argument is not an instance of the appropriate subclass or subinterface. For example, a JPEGImageEncoder will expect param to be an instance of JPEGEncodeParam.

### getOutputStream

    OutputStream getOutputStream()

  Returns the OutputStream associated with this ImageEncoder.

### encode

    void encode(Raster ras,
                ColorModel cm)
                throws IOException

  Encodes a Raster with a given ColorModel and writes the output to the OutputStream associated with this ImageEncoder.

  Throws:
    `IOException`

### encode

    void encode(RenderedImage im)
                throws IOException

  Encodes a RenderedImage and writes the output to the OutputStream associated with this ImageEncoder.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.